Index: contrib/crossrpms/cpukit/build.add
===================================================================
--- contrib/crossrpms/cpukit/build.add	(revision bdf53bd4c8b703aad05b02d753511e8c625716ae)
+++ contrib/crossrpms/cpukit/build.add	(revision 6cd53b29eaeb4f320c675fb0b45e7738d33f28d9)
@@ -6,5 +6,5 @@
 
   cd build
-  ../rtems-%{cpukit_pkgvers}/configure \
+  ../rtems-%{cpukit_version}/configure \
     --prefix=%{_prefix} \
     --target=@tool_target@ \
Index: contrib/crossrpms/cpukit/cpukit.add
===================================================================
--- contrib/crossrpms/cpukit/cpukit.add	(revision bdf53bd4c8b703aad05b02d753511e8c625716ae)
+++ contrib/crossrpms/cpukit/cpukit.add	(revision 6cd53b29eaeb4f320c675fb0b45e7738d33f28d9)
@@ -2,5 +2,5 @@
 %define cpukit_pkgvers @CPUKIT_PKGVERS@
 %define cpukit_version @CPUKIT_VERS@
-%define cpukit_rpmvers %{expand:%(echo "@CPUKIT_VERS@" | tr - _ )}
+%define cpukit_rpmvers %{expand:%(echo "@CPUKIT_PKGVERS@" | tr - . )}
 
 Name:         	@rpmprefix@@tool_target@-cpukit
@@ -9,5 +9,5 @@
 Group:	      	Development/Tools
 Version:        %{cpukit_rpmvers}
-Release:      	@CPUKIT_RPMREL@%{?dist}
+Release:      	@CPUKIT_RPMREL@
 License:      	GPL
 URL:		http://cpukit.gnu.org
@@ -15,5 +15,5 @@
 BuildArch:	noarch
 
-%define _use_internal_dependency_generator 0
+%define debug_package %{nil}
 
 BuildRequires:	@rpmprefix@@tool_target@-gcc
Index: contrib/crossrpms/cpukit/rpm-install.add
===================================================================
--- contrib/crossrpms/cpukit/rpm-install.add	(revision bdf53bd4c8b703aad05b02d753511e8c625716ae)
+++ contrib/crossrpms/cpukit/rpm-install.add	(revision 6cd53b29eaeb4f320c675fb0b45e7738d33f28d9)
@@ -32,18 +32,18 @@
 
 
-cat << EOF > %{_builddir}/%{name}-%{cpukit_rpmvers}/find-provides
+cat << EOF > %{_builddir}/%{name}-%{version}/find-provides
 #!/bin/sh
 grep -E -v '^${RPM_BUILD_ROOT}%{_exec_prefix}/@tool_target@/(lib|include|sys-root)' \
   | grep -v '^${RPM_BUILD_ROOT}%{cpukitlib}/@tool_target@/' | %__find_provides
 EOF
-chmod +x %{_builddir}/%{name}-%{cpukit_rpmvers}/find-provides
-%define __find_provides %{_builddir}/%{name}-%{cpukit_rpmvers}/find-provides
+chmod +x %{_builddir}/%{name}-%{version}/find-provides
+%define __find_provides %{_builddir}/%{name}-%{version}/find-provides
 
-cat << EOF > %{_builddir}/%{name}-%{cpukit_rpmvers}/find-requires
+cat << EOF > %{_builddir}/%{name}-%{version}/find-requires
 #!/bin/sh
 grep -E -v '^${RPM_BUILD_ROOT}%{_exec_prefix}/@tool_target@/(lib|include|sys-root)' \
   | grep -v '^${RPM_BUILD_ROOT}%{cpukitlib}/@tool_target@/' | %__find_requires
 EOF
-chmod +x %{_builddir}/%{name}-%{cpukit_rpmvers}/find-requires
-%define __find_requires %{_builddir}/%{name}-%{cpukit_rpmvers}/find-requires
+chmod +x %{_builddir}/%{name}-%{version}/find-requires
+%define __find_requires %{_builddir}/%{name}-%{version}/find-requires
 
Index: contrib/crossrpms/cpukit/target-cpukit.add
===================================================================
--- contrib/crossrpms/cpukit/target-cpukit.add	(revision bdf53bd4c8b703aad05b02d753511e8c625716ae)
+++ contrib/crossrpms/cpukit/target-cpukit.add	(revision 6cd53b29eaeb4f320c675fb0b45e7738d33f28d9)
@@ -1,6 +1,7 @@
 %description -n @rpmprefix@@tool_target@-cpukit
-GNU cc compiler for @tool_target@.
+RTEMS cpukit for target @tool_target@.
 
 %files -n @rpmprefix@@tool_target@-cpukit
+%defattr(-,root,root)
 %sysdir %{_prefix}
 %{_prefix}/@tool_target@
Index: contrib/crossrpms/gcc/base-newlib.add
===================================================================
--- contrib/crossrpms/gcc/base-newlib.add	(revision bdf53bd4c8b703aad05b02d753511e8c625716ae)
+++ contrib/crossrpms/gcc/base-newlib.add	(revision 6cd53b29eaeb4f320c675fb0b45e7738d33f28d9)
@@ -8,4 +8,5 @@
 Group:          Development/Tools
 Version:        %{newlib_version}
+Release:        @NEWLIB_RPMREL@
 License:	Distributable
 
Index: contrib/crossrpms/gcc/gccnewlib.add
===================================================================
--- contrib/crossrpms/gcc/gccnewlib.add	(revision bdf53bd4c8b703aad05b02d753511e8c625716ae)
+++ contrib/crossrpms/gcc/gccnewlib.add	(revision 6cd53b29eaeb4f320c675fb0b45e7738d33f28d9)
@@ -5,6 +5,6 @@
 
 %if %build_newlib
+%define newlib_pkgvers		@NEWLIB_PKGVERS@
 %define newlib_version		@NEWLIB_VERS@
-%define gccnewlib_version	gcc%{gcc_version}newlib%{newlib_version}
 %endif
 
@@ -39,10 +39,9 @@
 # These distros ship an insufficient mpfr
 %{?el4:%define 	_build_mpfr 	1}
-%{?suse10_2:%define 	_build_mpfr 	1}
 %{?suse10_3:%define 	_build_mpfr 	1}
 %endif
 
 %if "%{_build}" != "%{_host}"
-BuildRequires:  @rpmprefix@@tool_target@-gcc
+BuildRequires:  @rpmprefix@@tool_target@-gcc = %{gcc_rpmvers}
 %endif
 
@@ -74,5 +73,5 @@
 Requires:	@rpmprefix@@tool_target@-w32api-sys-root
 %if %build_newlib
-Requires:	@rpmprefix@@tool_target@-newlib = %{newlib_version}-%{release}
+Requires:	@rpmprefix@@tool_target@-newlib = %{newlib_version}-@NEWLIB_RPMREL@
 %endif
 
@@ -84,5 +83,5 @@
 # This really isn't available until RedHat 8.0.  How to conditionalize this?
 BuildRequires:	gcc-gnat
-BuildRequires:	@rpmprefix@@tool_target@-newlib < %{newlib_version}-%{release}
+BuildRequires:	@rpmprefix@@tool_target@-newlib < %{newlib_version}-@NEWLIB_RPMREL@
 %endif
 %if %build_f95
Index: contrib/crossrpms/gcc/target-c++.add
===================================================================
--- contrib/crossrpms/gcc/target-c++.add	(revision bdf53bd4c8b703aad05b02d753511e8c625716ae)
+++ contrib/crossrpms/gcc/target-c++.add	(revision 6cd53b29eaeb4f320c675fb0b45e7738d33f28d9)
@@ -10,5 +10,5 @@
 
 %if "%{_build}" != "%{_host}"
-BuildRequires:  @rpmprefix@@tool_target@-gcc-c++
+BuildRequires:  @rpmprefix@@tool_target@-gcc-c++ = %{gcc_rpmvers}
 %endif
 Provides:	@rpmprefix@@tool_target@-c++ = %{gcc_rpmvers}-%{release}
@@ -36,9 +36,5 @@
 
 %dir %{gcclib}/@tool_target@/%{gcc_version}/include
-%if "%{gcc_version}" >= "3.2"
 %{gcclib}/@tool_target@/%{gcc_version}/include/c++
-%else
-%{gcclib}/@tool_target@/%{gcc_version}/include/g++
-%endif
 %endif
 
Index: contrib/crossrpms/gcc/target-gcc.add
===================================================================
--- contrib/crossrpms/gcc/target-gcc.add	(revision bdf53bd4c8b703aad05b02d753511e8c625716ae)
+++ contrib/crossrpms/gcc/target-gcc.add	(revision 6cd53b29eaeb4f320c675fb0b45e7738d33f28d9)
@@ -7,5 +7,5 @@
 # Version:        %{gcc_rpmvers}
 # Requires:       @rpmprefix@@tool_target@-binutils
-# Requires:       @rpmprefix@@tool_target@-newlib = %{newlib_version}-%{release}
+# Requires:       @rpmprefix@@tool_target@-newlib = %{newlib_version}-@NEWLIB_RPMREL@
 # License:	GPL
 
Index: contrib/crossrpms/gcc/target-newlib.add
===================================================================
--- contrib/crossrpms/gcc/target-newlib.add	(revision bdf53bd4c8b703aad05b02d753511e8c625716ae)
+++ contrib/crossrpms/gcc/target-newlib.add	(revision 6cd53b29eaeb4f320c675fb0b45e7738d33f28d9)
@@ -8,7 +8,5 @@
 License:	Distributable
 Version:	%{newlib_version}
-
-Provides:	@rpmprefix@@tool_target@-libc = %{newlib_version}-%{release}
-Obsoletes:	@rpmprefix@@tool_target@-libc < %{newlib_version}-%{release}
+Release:        @NEWLIB_RPMREL@
 
 %if %build_infos
